%global srcname linecache2

Name:           python-%{srcname}
Version:        1.0.0
Release:        %mkrel 19
Summary:        Backports of the linecache module

Group:          Development/Python
License:        Python Software Foundation License
URL:            https://github.com/testing-cabal/linecache2
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A backport of linecache to older supported Pythons.

%package -n     python3-%{srcname}
Summary:        Backports of the linecache module
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A backport of linecache to older supported Pythons.

%prep
%setup -q -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files linecache2

%files -n python3-%{srcname} -f %{pyproject_files}
%doc AUTHORS ChangeLog README.rst


%changelog
* Fri Feb 21 2025 neoclust <neoclust> 1.0.0-19.mga10
+ Revision: 2150314
- Rebuild against python 3.13

* Wed Dec 13 2023 papoteur <papoteur> 1.0.0-18.mga10
+ Revision: 2017694
- rebuild for python3.12
- adapt to pyproject

* Thu Dec 07 2023 wally <wally> 1.0.0-17.mga10
+ Revision: 2014797
- rebuild for py3.12

* Thu Mar 24 2022 umeabot <umeabot> 1.0.0-16.mga9
+ Revision: 1824611
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.0.0-15.mga9
+ Revision: 1771881
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 1.0.0-14.mga9
+ Revision: 1702606
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-13.mga8
+ Revision: 1535263
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.0.0-12.mga8
+ Revision: 1451707
- rebuild with python 3.8

* Wed Sep 04 2019 wally <wally> 1.0.0-11.mga8
+ Revision: 1437149
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 1.0.0-10.mga8
+ Revision: 1436798
- rebuild for python3.8
- drop python2 support

* Sat Jan 05 2019 wally <wally> 1.0.0-9.mga7
+ Revision: 1349274
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-8.mga7
+ Revision: 1289170
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 kekepower <kekepower> 1.0.0-7.mga7
+ Revision: 1210850
- Renamed python-linecache2 to python2-linecache2
- Use new Py macros

* Thu Oct 05 2017 tv <tv> 1.0.0-6.mga7
+ Revision: 1169044
- add BR on python2dist(pbr) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 1.0.0-5.mga7
+ Revision: 1135484
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.0.0-4.mga6
+ Revision: 970685
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.0.0-3.mga6
+ Revision: 887567
- use right py*version macro
- rebuild for python 3.5

* Fri Sep 04 2015 daviddavid <daviddavid> 1.0.0-2.mga6
+ Revision: 872881
- add python3 package
- use new python2 macro
- update file list

* Tue Sep 01 2015 fwang <fwang> 1.0.0-1.mga6
+ Revision: 871752
- drop tests dir
- imported package python-linecache2

